From f8c5e489508c3832f23e4a9067d5709f4b4f9480 Mon Sep 17 00:00:00 2001
From: David P <megver83@parabola.nu>
Date: Jul 18 2023 23:26:42 +0000
Subject: [PATCH 26/32] updpkg: libre/hplip 1:3.23.5-1.par1


Signed-off-by: David P <megver83@parabola.nu>

---

diff --git a/libre/hplip/PKGBUILD b/libre/hplip/PKGBUILD
index 05e349a..deadb21 100644
--- a/libre/hplip/PKGBUILD
+++ b/libre/hplip/PKGBUILD
@@ -1,15 +1,15 @@
-# Maintainer (arch): Andreas Radke <andyrtr@archlinux.org>
-# Maintainer (arch): Tom Gundersen <teg@jklm.no>
-# Contributor: Rémy Oudompheng <remy@archlinux.org>
-# Contributor: Morgan LEFIEUX <comete@archlinuxfr.org>
-# Contributor: André Silva <emulatorman@hyperbola.info>
-# Contributor: Márcio Silva <coadde@hyperbola.info>
-# Contributor: Jorge López <jorginho@hyperbola.info>
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
 # Maintainer: David P. <megver83@parabola.nu>
+# Maintainer (Arch): Andreas Radke <andyrtr@archlinux.org>
+# Contributor (Arch): Tom Gundersen <teg@jklm.no>
+# Contributor (Arch): Rémy Oudompheng <remy@archlinux.org>
+# Contributor (Arch): Morgan LEFIEUX <comete@archlinuxfr.org>
+# Contributor (Hyperbola): André Silva <emulatorman@hyperbola.info>
+# Contributor (Hyperbola): Márcio Silva <coadde@hyperbola.info>
+# Contributor (Hyperbola): Jorge López <jorginho@hyperbola.info>
 
 pkgname=hplip
-pkgver=3.22.6
+pkgver=3.23.5
 pkgrel=1
 pkgrel+=.par1
 epoch=1
@@ -19,7 +19,10 @@ arch=('x86_64')
 arch+=('i686' 'armv7h')
 url="https://hplipopensource.com"
 license=('GPL' 'custom')
-depends=('python-dbus' 'python-distro' 'ghostscript' 'net-snmp' 'foomatic-db-engine' 'python-gobject' 'libxcrypt')
+depends=('python-dbus' 'python-distro' 'ghostscript' 'net-snmp'
+         'foomatic-db-engine' 'python-gobject' 'libxcrypt'
+         'libjpeg-turbo' 'dbus' 'gcc-libs' 'avahi' 'python'
+         'xdg-utils' 'zlib' 'libcups' 'glibc')
 makedepends=('python-pyqt5' 'sane' 'rpcbind' 'cups' 'libusb')
 optdepends=('cups: for printing support'
             'sane: for scanner support'
@@ -36,6 +39,7 @@ backup=('etc/hp/hplip.conf' 'etc/sane.d/dll.d/hpaio')
 source=(https://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
         disable_upgrade.patch
         0003-models.dat-Re-add-drivers-missing-from-3.19.1.patch
+        0018-Allow-non-JPEG-scanning-on-the-HP-DeskJet-3520-All-i.patch
         0022-Add-include-cups-ppd.h-in-various-places-as-CUPS-2.2.patch
         0023-Fix-handling-of-unicode-filenames-in-sixext.py.patch
         0025_fix-Werror-format-security.patch
@@ -43,10 +47,11 @@ source=(https://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.a
         hplip-configure-python.patch
         python3.diff
         reproducible-gzip.patch)
-sha512sums=('cb25c07c767d3d8921468429ef154401a4df9d2fdf87ead3ab18f0d06e1bd3de610843b8131641a1af8d920c7e15e290a0923405bf609cdc0a3fba9df93ddb5e'
+sha512sums=('f7e8c431dece035c3e8709baffad7de923ec16ec168f0c1ab64e7aa72e2b3452bf510e3f98b1d0a783bf444869affc452c7adf8fdc2075fed341c64b55ec7c3e'
             'SKIP'
-            'ee0bd240568a7dbb4dc6ef64dba28ea84c4bedf7d688d054960c686666f8f0bc4562961c40845107ef0c936e60d3e676bffb2a1ba708039690bb0520cda3a525'
+            'a12aaeece5285ffb86bdbc24871bf512fbc1f29da44ae51ded314378032662074a42b8aca23bebb378bf78ed15bb7f99da59bfb4cd456f3458e7a5ef42a900f8'
             'f79b3f09d022178099f38b9eae1792396e730eb5352a03d088e6610d92b3895f3f65bb92089ce7f5b21d794f9716ceb176d29ca7283e8a48bb04cf6aba305a2f'
+            '93e29a9ef893636b2b84443e75525c4ed42531d6e68a182dfbb725c3919c77b966b5e7d9381a34d3b5853423995a7b15efb69ce3e500ec72b25b65b2ad6bd64c'
             '22aeb5b851f78bc6bc62e0bc3da99fecaf42d7604af41e2f3343f8d3666541f7b06b7d1a7d0ddf24f1731ac7b12dfe582375a98e3b94dfa323d6ce954549ca67'
             '763949a0bc460dcc9faefc86f2a91cf342781bfce696ed0c3826758572dd03ac266bbeb7b6a4f9376ac298d7d3c9c4def42d94921a8e1d1695e39396e36d95ff'
             'b7e67bccb2516f4d98e4c5ea55f7d2299d95bfdc341dbc0149af1423169bedcd8bcfdb125c92f373e9e7be57ea284fef80a8343035fb42572b9cb927929cd257'
@@ -74,6 +79,8 @@ prepare() {
  # https://bugs.launchpad.net/hplip/+bug/1879445
  # broken scanning - https://bugs.archlinux.org/task/66704
  patch -Np1 -i ../hplip-configure-python.patch
+ #  allow non-jpeg scanning on all-in-one devices - FS#78135
+ patch -Np1 -i ../0018-Allow-non-JPEG-scanning-on-the-HP-DeskJet-3520-All-i.patch
 
  # make gzip creation reproducible by removing the timestamp
  patch -Np1 -i ../reproducible-gzip.patch
